## xtranslate 0.2

=== Makefile ===
CC=gcc
LIBS=Xext
LIBDIR=/usr/X11R6/lib
OFLAGS=O2 -g -Wall 
WD=./debian/tmp

all: xtranslate
	strip xtranslate
	install -d $(WD)/usr/X11R6/bin
	cp xtranslate $(WD)/usr/X11R6/bin

xtranslate: xtranslate.c 
	$(CC) -$(OFLAGS) xtranslate.c -o xtranslate -l$(LIBS) -L$(LIBDIR)

install: xtranslate	
	install -d $(WD)/usr/X11R6/bin
	cp xtranslate $(WD)/usr/X11R6/bin
	cp menu.ex $(WD)/usr/lib/menu/xtranslate	

clean: 
	rm -f core *.o xtranslate *~
#

## xtranslate 0.2-5

=== debian/changelog ===
xtranslate (0.2-5) unstable; urgency=low

  * new version to change doc directory

 -- Matthias Kabel <mkabel@debian.org>  Thu, 13 Sep 2000 21:54:08 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "mkabel@debian.org"
End:

=== debian/control ===
Source: xtranslate
Section: x11
Priority: optional
Maintainer: Matthias Kabel <mkabel@debian.org>
Standards-Version: 2.4.1

Package: xtranslate
Architecture: any
Depends: ${shlibs:Depends}, translate, xcontrib
Description: This is a x11-version translate wich will translate the xclipboard
 This is a X11-version for translate. It writes the contents of the
 X-selection and the commandline-option in a temporary used
 environment-variable, calls the script translate and pipes the results in
 a xmessage window. It will install a menuentry for the debian menusystem.
 It is possible to make a shortcut in some windowmanagers to use it more
 quickly.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=xtranslate

build:
	$(checkdir)
	
	make CFLAGS="-O2 -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## xtranslate 0.2-5.1

=== debian/changelog ===
xtranslate (0.2-5.1) unstable; urgency=low

  * NMU
  * Rebuild to get rid of obsolete xlib6g dependency.  Closes: #170227.
  * Add Build-Depends.  Closes: #179104.

 -- Daniel Schepler <schepler@debian.org>  Fri, 14 Mar 2003 19:05:40 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: xtranslate
 Section: x11
 Priority: optional
+Build-Depends: debmake, xlibs-dev
 Maintainer: Matthias Kabel <mkabel@debian.org>
 Standards-Version: 2.4.1
